Object = class()

function Object:init(shape, n, p, colour, opacity, size, rotation)
    -- you can accept and set parameters here
    
    self.n = n
    self.size=size
    self.shape=shape

    self.entity=scene:entity()

--    if rigid then 
        self.entity:add(craft.rigidbody,STATIC)
--    end

    if self.shape=="sphere" then
        self.entity:add(craft.shape.sphere,size)
        self.entity.model = craft.model.icosphere(size,2)
    elseif self.shape=="cube" then 
        self.entity:add(craft.shape.box,size)
        self.entity.model = craft.model.cube(size)
    elseif self.shape=="capsule" then 
        self.entity.model = craft.model.capsule(radius,height)
    elseif self.shape=="model" then 
        self.entity.model=craft.model(asset.builtin.Primitives.Monkey)
        self.entity:add(craft.shape.model,self.entity.model)
    end

    self.entity.position=p
    self.entity.rotation=quat.fromToRotation(vec3(0,1,0),rotation)     
    self.entity.material = craft.material(asset.builtin.Materials.Specular)
    --    sphere.material.map = readImage(asset.builtin.Blocks.Brick_Red)    
    self.entity.material.blendMode=NORMAL
    self.entity.material.opacity=opacity

    self.entity.material.diffuse=colour
    
    self.entity.scale=size
end


function Object:draw()
    -- Codea does not automatically call this method
end

function Object:touched(touch)
    -- Codea does not automatically call this method
end
